Bug 1713538 - For rhel8 system vmware guest OS Identifier list needs to be updated in satellite
Summary: For rhel8 system vmware guest OS Identifier list needs to be updated in satel...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.5.0
Hardware: All
OS: Linux
high
medium vote
Target Milestone: 6.6.0
Assignee: Evgeni Golov
QA Contact: Roman Plevka
URL:
Whiteboard:
: 1741088 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-24 03:45 UTC by Ram Nayan Singh
Modified: 2019-10-22 19:52 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-rbvmomi-2.1.2,foreman-1.22.0.18-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:52:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 26838 0 Normal Closed Update new guest OS type supported on VMware vSphere 6.7 and above 2020-09-10 15:57:47 UTC
Foreman Issue Tracker 26849 0 Normal Closed Update VMware Hardware version compatible with 6.7 and above 2020-09-10 15:57:47 UTC
Foreman Issue Tracker 27670 0 Normal Closed Update rbvmomi to support new VMware hardware versions and guest OSes 2020-09-10 15:57:47 UTC
Red Hat Knowledge Base (Solution) 4172691 0 Configure None Guest OS "field is set to "Microsoft MS-DOS" on Red Hat satellite 6 2019-05-28 05:51:15 UTC

Description Ram Nayan Singh 2019-05-24 03:45:00 UTC
Guest OS version identifier needs to be updated in satellite.

It needs to be updated according to this.

https://vdc-repo.vmware.com/vmwb-repository/dcr-public/da47f910-60ac-438b-8b9b-6122f4d14524/16b7274a-bf8b-4b4c-a05e-746f2aa93c8c/doc/vim.vm.GuestOsDescriptor.GuestOsIdentifier.html

satellite 6.5

In all version of 6.5

At the time of Import rhel-8 VM from compute resource, unable to guest OS identifier as rhel 8

Actual results at the time of import it shows Guest-OS as "Microsoft MS-DOS"

Expected results at the time of import it should Guest-OS as "rhel8_64Guest"

Comment 4 Bryan Kearney 2019-05-24 04:02:32 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26849 has been resolved.

Comment 6 Bryan Kearney 2019-05-24 06:02:35 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26849 has been resolved.

Comment 7 Nagoor Shaik 2019-06-03 09:36:39 UTC
NOTE: This fix requires latest rbvmomi rubygem https://github.com/vmware/rbvmomi

Comment 8 Patrick Creech 2019-06-28 01:39:42 UTC
Nagoor,

Do you know which version specifically of rbvmomi?

Thanks,
Patrick

Comment 9 Nagoor Shaik 2019-06-28 03:23:31 UTC
Hi Patrick,

I tested with version 2.1.2.

Comment 11 Marek Hulan 2019-08-20 12:29:18 UTC
*** Bug 1741088 has been marked as a duplicate of this bug. ***

Comment 14 Bryan Kearney 2019-08-21 08:02:22 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26838 has been resolved.

Comment 16 Roman Plevka 2019-09-13 12:46:22 UTC
VERIFIED
on sat6.6.0 snap 19

- i added a testing vmware instance as a compute resource and I also created a rhel8 VM using vsphere.
- then i checked for the running VM's from satellite and my VM was correctly showing: "Red Hat Enterprise Linux 8 (64-bit)" for the OS

Comment 17 Bryan Kearney 2019-10-22 19:52:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.